<?php

namespace App\Menu;

use Sebastienheyd\Boilerplate\Menu\Builder;

class Deliveries
{
    public function make(Builder $menu)
    {
        $menu->add('Modes de vente', ['icon' => 'store'])
            ->id('sales_mode')
            ->order(3);

        $menu->addTo('sales_mode', __('shop.sale_channels.name'), [
            'route' => 'Admin.Shop.SaleChannels.index',
        ])->activeIfRoute(['Admin.Shop.SaleChannels.*'])->order(1);

        $menu->addTo('sales_mode', __('shop.deliveries.title'), [
            'route' => 'Admin.Shop.Deliveries.index',
        ])->activeIfRoute(['Admin.Shop.Deliveries.*'])->order(1);
    }
}
